# class Chef::Provider::User::Solaris

### Constants

UNIVERSAL_OPTIONS

### Attributes

password_file[W]

### Public Class Methods

new(new_resource, run_context) click to toggle source
Calls superclass method Chef::Provider::User.new

    # File lib/chef/provider/user/solaris.rb, line 27
    def initialize(new_resource, run_context)
      @password_file = "/etc/shadow"
      super
    end

### Public Instance Methods

create_user() click to toggle source
Calls superclass method Chef::Provider::User::Useradd#create_user

    # File lib/chef/provider/user/solaris.rb, line 32
    def create_user
      super
      manage_password
    end

manage_user() click to toggle source
Calls superclass method Chef::Provider::User::Useradd#manage_user

    # File lib/chef/provider/user/solaris.rb, line 37
    def manage_user
      manage_password
      super
    end